\name{CoxEL}
\alias{CoxEL}
\title{Compute the Empirical Likelihood and Partial Likelihood of Cox model for
Testing the beta and Baseline. }
\usage{
CoxEL(y, d, Z, beta, lam, fun)
}
\description{
This function compute the empirical likelihood and partial likelihood for the purpose of 
testing beta (regression parameter) and the baseline feature.
}
\arguments{
    \item{y}{a vector containing the survival time}
    \item{d}{censoring status}
    \item{Z}{a matrix of covariates, size nxk; Z=(Z_1i, ..., Z_ki)}
    \item{beta}{ =(beta1, ... betak)}
    \item{lam}{a scalar, used in the constraint of baseline int f(t)dH(t)= Mulam.}
    \item{fun}{a function}
}
\value{
    It returns a list containing:
   (1)log empirical likelihood value; (2)log partial likelihood value. (3) the constrained baseline estimator (4) the constraained value.
}
\details{
Say something.
}
\author{ Mai Zhou }
\references{
    Zhou, M. (2002). 
        Computing censored empirical likelihood ratio 
        by EM algorithm. 
    \emph{Tech Report, Univ. of Kentucky, Dept of Statistics}
}
\examples{
## censored regression with one right censored observation.
## we check the estimation equation, with the MLE inside myfun7. 
y <- c(3, 5.3, 6.4, 9.1, 14.1, 15.4, 18.1, 15.3, 14, 5.8, 7.3, 14.4)
x <- c(1, 1.5, 2,   3,   4,    5,    6,    5,    4,  1,   2,   4.5)
d <- c(1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 0)
}
\keyword{nonparametric}
\keyword{survival}